Skip to main content
`Ctrl`+`K`

# AOSetType

Builds an application ordering for a particular `AOType`

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOSetType(AO ao, AOType method)

Collective

## Input Parameters

- ao - The `AO` object

- method - The name of the AO type

## Options Database Key

- -ao_type type - Sets the `AO` type; see `AOType`

## Notes

See “petsc/include/petscao.h” for available AO types (for instance, `AOBASIC` and `AOMEMORYSCALABLE`).

`AO` are usually created via the convenience routines such as `AOCreateBasic()` or `AOCreateMemoryScalable()`

## See Also

`AO`, `AOType`, `AOCreateBasic()`, `AOCreateMemoryScalable()`, `AOGetType()`, `AOCreate()`

## Level

intermediate

## Location

src/vec/is/ao/interface/aoreg.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages